Commit c5c80cf9 authored by BOHMRR's avatar BOHMRR
Browse files

different try: exit_codes is not possible when allow_failure is in rules

parent 00b778ca
Loading
Loading
Loading
Loading
Loading
+7 −1
Original line number Diff line number Diff line
@@ -152,12 +152,18 @@ self-test-on-merge-request:
    - if cat test_output.txt | grep -c "Run errors were encountered for the following conditions:"; then echo "Codec had run errors"; exit 1; fi
    # check for non bitexact output and fail test if the merge request does not have a non-BE tag
    - if ! cat test_output.txt | grep -c "All [0-9]* tests are bitexact"; then echo "Non-bitexact cases encountered"; exit 123; fi
    - if ! cat test_output.txt | grep -c "All [0-9]* tests are bitexact" && ! echo $CI_MERGE_REQUEST_TITLE | grep -c --ignore-case "\[non[ -]*be\]"; then echo "Non-bitexact cases without non-BE tag encountered"; exit 1; fi
    - if ! cat test_output.txt | grep -c "All [0-9]* tests are bitexact"; then echo "Non-bitexact cases with non-BE tag encountered"; exit 123; fi

    ### run SBA pytest
    - exit_code=0
    - python3 ./scripts/ivas_pytests/self_test_b.py --encref IVAS_cod_ref --decref IVAS_dec_ref --encdut IVAS_cod_test --decdut IVAS_dec_test || exit_code=$?
    - if [ $exit_code -eq 1 ]; then echo "pytest run had failures"; exit 123; fi
    - if [ $exit_code -eq 1 ] && ! echo $CI_MERGE_REQUEST_TITLE | grep -c --ignore-case "\[non[ -]*be\]"; then echo "pytest run had failures and non-BE flag not present"; exit 1; fi
    - if [ $exit_code -eq 1 ]; then echo "pytest run had failures and non-BE flag present"; exit 123; fi
    - if [ $exit_code -ne 0 ]; then echo "pytest run had errors"; exit $exit_code; fi;
  allow_failure:
    exit_codes:
      - 123
  artifacts:
    paths:
      - test_output.txt